# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rotation-logger"
version = "0.1.0"
authors = ["Zippelin"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simple async logger with file rotation"
documentation = "https://docs.rs/rotation_logger"
readme = "readme.md"
keywords = [
    "log",
    "logging",
    "logger",
    "log-rotation",
    "async-log",
]
categories = [
    "development-tools",
    "development-tools::debugging",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Zippelin/rotation_logger"

[lib]
name = "rotation_logger"
path = "src/lib.rs"

[[example]]
name = "demo"
path = "examples/demo.rs"

[dependencies.chrono]
version = "0.4.39"
